Skip to main content
GET
/
v3
/
trades
/
{symbol}
cURL
curl --request GET \
  --url https://api.finvera.news/stocks/v3/trades/{symbol}
import requests

url = "https://api.finvera.news/stocks/v3/trades/{symbol}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.finvera.news/stocks/v3/trades/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "next_url": "<string>",
  "request_id": "<string>",
  "results": [
    {
      "conditions": [
        123
      ],
      "exchange": 123,
      "id": "<string>",
      "price": 123,
      "sequence_number": 123,
      "sip_timestamp": 123,
      "size": 123,
      "tape": 123
    }
  ],
  "status": "OK"
}
{
"status": 400,
"error": "<string>",
"details": "<string>"
}

Path Parameters

symbol
string
required

Stock ticker symbol (e.g., AAPL).

Query Parameters

apikey
string
required

Your Finvera API key.

order
enum<string>
default:desc

Sort order (asc or desc on timestamp).

Available options:
asc,
desc
limit
integer
default:10

Max results to return (max 5000).

Required range: x <= 5000
sort
string
default:timestamp

Sort field (timestamp).

Response

Success response with trades

next_url
string

Cursor for next page.

request_id
string
results
object[]
status
string
Example:

"OK"